Package org.eclipse.m2m.atl.dsls.tcs.injector

# Interface ModelAdapter

All Known Implementing Classes:
  `ASMModelAdapter`, `EMFTCSInjector.EMFInjectorAdapter`

public interface ModelAdapter

## Method Summary

Modifier and Type
Method
Description
`Object`
`createElement(String typeName)`
`Object`
`createEnumLiteral(String name)`
`Object`
`get(Object ame_, String propertyName)`
`Set`
`getElementsByType(String typeName)`
`Object`
`getModel()`
`String`
`getString(Object ame, String propName)`
`Object`
`getType(Object me_)`
`boolean`
`isAModelElement(Object me)`
`boolean`
`isCandidate(Object ame, String typeName)`
`void`
`set(Object ame, String prop, Object value)`

## Method Details

### get

Object get(Object ame_, String propertyName)

### createElement

Object createElement(String typeName)

### getElementsByType

Set getElementsByType(String typeName)

### getType

Object getType(Object me_)

### isCandidate

boolean isCandidate(Object ame, String typeName)

### set

void set(Object ame, String prop, Object value)

### getString

String getString(Object ame, String propName)

### isAModelElement

boolean isAModelElement(Object me)

### createEnumLiteral

Object createEnumLiteral(String name)

### getModel

Object getModel()